#!/usr/bin/sh
if [[ $@ != "ActiveBackup" ]]; then
	exit 0
fi

/usr/syno/bin/synopkg status ActiveBackup
if [ $? -ne 0 ]; then #package is disable, just skip
	exit 0
fi

get_restore_type()
{
    JobDesc=$1
    /bin/echo ${JobDesc} | /bin/jq '.params.restore_type'
}

RESTORE_DEVICE=128
jobs=`/var/packages/ActiveBackup/target/bin/synoabk-jobctl list_read_job action=${RESTORE_DEVICE}`
while read -r line
do
	if [ -z "$line" ]
	then
		continue
	fi
	restoreType=$( get_restore_type "$line" )
	if [ "$restoreType" = "0" ] #instant restore
	then
		exit 1
	fi
done <<< "${jobs}"

exit 0
