from .exceptions import (
    CodePageNotFound
)
class CodePageTable:
    __code_page = {
            37:'cp037',
            437:'cp437', 
            500:'cp500', 
            720:'cp720', 
            737:'cp737', 
            775:'cp775', 
            850:'cp850', 
            852:'cp852', 
            855:'cp855', 
            857:'cp857', 
            858:'cp858', 
            860:'cp860', 
            861:'cp861', 
            862:'cp862', 
            863:'cp863', 
            864:'cp864', 
            865:'cp865', 
            866:'cp866', 
            869:'cp869', 
            874:'cp874', 
            875:'cp875', 
            932:'cp932', 
            936:'gbk', 
            949:'cp949', 
            950:'cp950', 
            1026:'cp1026', 
            1140:'cp1140', 
            1250:'cp1250', 
            1251:'cp1251', 
            1252:'cp1252', 
            1253:'cp1253', 
            1254:'cp1254', 
            1255:'cp1255', 
            1256:'cp1256', 
            1257:'cp1257', 
            1258:'cp1258', 
            1361:'johab', 
            10006:'mac_greek', 
            10007:'mac_cyrillic', 
            10010:'mac_roman', 
            10029:'mac_latin2', 
            10079:'mac_iceland', 
            10081:'mac_turkish', 
            20866:'koi8_r', 
            21866:'koi8_u', 
            28591:'latin_1', 
            28592:'iso8859_2', 
            28593:'iso8859_3', 
            28594:'iso8859_4', 
            28595:'iso8859_5', 
            28596:'iso8859_6', 
            28597:'iso8859_7', 
            28598:'iso8859_8', 
            28599:'iso8859_9', 
            28603:'iso8859_13', 
            28605:'iso8859_15', 
            50220:'iso2022_jp',
            50225:'iso2022_kr',
            51932:'euc_jp', 
            51949:'euc_kr', 
            52936:'hz', 
            54936:'gb18030', 
            65001:'utf-8'
    }
    @staticmethod
    def getCodecByCodepage(codepage):
        if codepage not in CodePageTable.__code_page:
            raise CodePageNotFound('codepage [%d] is not support' % codepage)
        
        return CodePageTable.__code_page[codepage]
